Summary:	Dr. Genius advanced math tool
Name:		drgenius
Version:	0.5.15
Release:	2mdk
Group:		Sciences/Mathematics
License:	GPL

Source:		%name-%version.tar.bz2

Url:		http://ofset.sourceforge.net/drgenius
BuildRoot:	%_tmppath/%name-%version-%release-root
%ifarch alpha %ix86
BuildRequires:	egcs-c++
%endif

%description 
Dr. Genius is  an euclidian geometry tool.

%prep

%setup -q

%build
%ifarch alpha %ix86
export CC="kgcc"
export CXX="kg++"
%endif

%configure

%make

%install
%makeinstall

%{find_lang} %{name}

install -d %buildroot/%_menudir/
cat > %buildroot/%_menudir/%name <<EOF
?package(%{name}):\
command="%_bindir/drgenius"\
title="DrGenius"\
longtitle="Euclidian geometry tool"\
needs="x11"\
icon="mathematics_section.png"\
section="Applications/Sciences/Mathematics"
EOF

%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -fr %buildroot

%files -f %{name}.lang
%defattr(-, root, root)
%doc README ABOUT-NLS AUTHORS COPYING NEWS TODO ChangeLog
%{_bindir}/*
%{_datadir}/drgenius/*
%{_datadir}/pixmaps/drgenius.png
%{_datadir}/pixmaps/gnome-drgenius-geo.png
%{_datadir}/pixmaps/gnome-drgenius.png
%_datadir/gnome/apps/Utilities/drgenius.desktop
%_menudir/*

%changelog
* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.15-2mdk
- Fix menu entry
- Add missing file

* Wed Nov 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.15-1mdk
- 0.5.15

* Thu Sep 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.14-1mdk
- 0.5.14

* Tue Jul 03 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.5.11-3mdk
- rebuild
- url

* Sat Mar 31 2001 David BAUDENS <baudens@mandrakesoft.com> 0.5.11-2mdk
- PPC: build with gcc
- Alpha & %%ix86: BuildRequires: egcs

* Wed Feb 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.11-1mdk
- new in contribs

* Wed Feb 28 2001 Hilaire Fernandes <hilaire@ext.cri74.org>
- remove the genius stuff

* Wed Jun 21 2000 Hilaire Fernandes <hilaire@seul.org>
- updated the %description, %file and others outdated fields.

* Fri Nov 19 1999 George Lebl <jirka@5z.com>
- updated for Dr.Genius from Genius

* Tue Apr 20 1999 Erik Walthinsen <omega@cse.ogi.edu>
- added spec.in file, changes to makefiles as approrpiate

